
system "cd ext && make && copy /y nazuna.so ..\\lib\\" or exit $?.exitstatus

Gem::Specification.new do |spec|
    spec.name = "nazuna"
    spec.platform = "x86-mingw32"
    spec.version = "0.0.1.prototype"
    spec.summary = "FileSystem framework in User-space for Ruby with Fuse/FreeBSD and Dokan/Windows"
    spec.license = "2-clause BSD License"
    spec.author = "dearblue"
    spec.email = "dearblue@users.sourceforge.jp"
    spec.homepage = "http://sourceforge.jp/projects/rutsubo/"
    spec.description = <<-__END__
nazuna is FileSystem framework in User-space for Ruby with Fuse/FreeBSD and Dokan/Windows.

For how to using, see sample files in installed gems directory.
But sample code comments are written in japanese (^_^;

nazuna is required Dokan library <http://dokan-dev.net/en/> on Microsoft Windows.
If try install this, do it on your risk.
    __END__
    spec.files = %w(
        LICENSE.txt
        README.txt
        ext/dokan.def
        ext/extconf.rb
        ext/nazuna-dokan.c
        ext/nazuna-fuse.c
        ext/nazuna.h
        external/dokan.h
        lib/nazuna-dokan.rb
        lib/nazuna-fuse.rb
        lib/nazuna.rb
        lib/nazuna.so
        samples/1-lambdafs.rb
        samples/2-classfs.rb
        samples/3-hellofs.rb
    )

    spec.rdoc_options = %w(-e UTF-8 -m README.txt -x ext -x external -x samples -x lib/nazuna-fuse.rb -x lib/nazuna-dokan.rb)
    spec.extra_rdoc_files = %w(LICENSE.txt README.txt lib/nazuna.rb)
    spec.has_rdoc = false
    spec.required_ruby_version = ">= 1.9.3"
    spec.post_install_message = <<-__END__
|
| nazuna is required Dokan library <http://dokan-dev.net/en/> on Microsoft Windows.
| If try install this, do it on your risk.
|
| For how to using, see sample files in installed gems directory.
| But sample code comments are written in japanese (^_^;
|
    __END__
end
